Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.util
Class EventPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--java.security.BasicPermission
                  |
                  +--org.eclipse.hyades.logging.events.cbe.util.EventPermission

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

Deprecated. As of Hyades M10, Java permission-based security is no longer supported.

public class EventPermission
extends java.security.BasicPermission

A permission-based security permission specific to event operations.

The `EventPermission` is used by the system's `SecurityManager` for the context of the currently executing thread to see if the caller has permission to execute event operations running with a `SecurityManager`.

Currently, there only exists one named event permission, namely "factory". This named event permission is used to execute event factory home operations such as create, retrieve, update and release event factory instances. The caller has permission if the `EventPermission("factory")` permission has been explicitly granted to the caller.

Event permissions are typically created by the security policy code based on a security policy file.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Paul E Slauenwhite
See Also:
  `BasicPermission`, Serialized Form

Constructor Summary
`EventPermission(java.lang.String name)` Deprecated. Creates a new named event permission with no actions.
`EventPermission(java.lang.String name, java.lang.String actions)` Deprecated. Creates a new named event permission with no actions.

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventPermission

    public EventPermission(java.lang.String name,
                           java.lang.String actions)
                    throws java.lang.IllegalArgumentException

  Deprecated.
  Creates a new named event permission with no actions.

  Currently, the only supported named event permission is "factory".

  By definition, event permissions do not have actions.

  Event permissions are typically created by the security policy code based on a security policy file.

Parameters:
  `name` - The name of the event permission (e.g. "factory").
  `actions` - Must be null or an empty string.
Throws:
  `java.lang.IllegalArgumentException` - If the name parameter is not "factory" or the actions parameter is not null or not an empty string.

### EventPermission

    public EventPermission(java.lang.String name)
                    throws java.lang.IllegalArgumentException

  Deprecated.
  Creates a new named event permission with no actions.

  Currently, the only supported named event permission is "factory".

  By definition, event permissions do not have actions.

  Event permissions are typically created by the security policy code based on a security policy file.

Parameters:
  `name` - The name of the event permission (e.g. "factory").
Throws:
  `java.lang.IllegalArgumentException` - If the name parameter is not "factory" or the actions parameter is not null or not an empty string.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD